require_relative '../node_modules/react-native/scripts/react_native_pods'
require_relative '../node_modules/@react-native-community/cli-platform-ios/native_modules'

platform :ios, '10.0'

target 'CnJ' do
  config = use_native_modules!

  use_react_native!(:path => config["reactNativePath"])

  pod 'RNVectorIcons', :path => '../node_modules/react-native-vector-icons'

  pod 'RNFBAuth', :path => '../node_modules/@react-native-firebase/auth'

  pod 'RNGoogleSignin', :path => '../node_modules/@react-native-community/google-signin'

  pod 'RNGestureHandler', :path => '../node_modules/react-native-gesture-handler'

  pod 'RNCAsyncStorage', :path => '../node_modules/@react-native-community/async-storage'

  pod 'TouchID', :path => '../node_modules/react-native-touch-id'

  pod 'react-native-camera', :path => '../node_modules/react-native-camera'

  pod 'RNFBStorage', :path => '../node_modules/@react-native-firebase/storage'

  pod 'react-native-mapbox-gl', :path => '../node_modules/@react-native-mapbox-gl/maps'

  pod 'RNFBDatabase', :path => '../node_modules/@react-native-firebase/database'

  target 'CnJTests' do
    inherit! :complete
    # Pods for testing
  end

  # Enables Flipper.
  #
  # Note that if you have use_frameworks! enabled, Flipper will not work and
  # you should disable these next few lines.
  use_flipper!
  post_install do |installer|
    flipper_post_install(installer)
  end
end

target 'CnJ-tvOS' do
  # Pods for CnJ-tvOS

  target 'CnJ-tvOSTests' do
    inherit! :search_paths
    # Pods for testing
  end
end
